Bug 961787 - JBoss AS / WIldfly that do not have a "matching" home directory can not be discovered.
JBoss AS / WIldfly that do not have a "matching" home directory can not be di...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 07:53 EDT by Heiko W. Rupp
Modified: 2013-09-11 05:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-05-10 07:53:05 EDT
JBoss AS 7.1 and Wildfly servers that do not keep the base directory name of what came out of unzipping them can not be discovered.

See e.g. https://community.jboss.org/message/816885

This used to work in RHQ 4.6 with JBossAS 7.1, as the fallback was to assume that the server in an AS.
Now with WildFly, this is no longer true, as both have no product.conf file and thus can not be differentiated.
Comment 1 Heiko W. Rupp 2013-05-10 08:40:36 EDT
Results with the standalone pc

If we have no product.conf, we now evaluate the namespace of the <server> element in standalone.xml / <host> element in host.xml. If the namespace version starts with 1 we have AS, otherwise it is WildFly

E.g. in <host name="master" xmlns="urn:jboss:domain:2.0">




RHQ server (EAP 6.1) and AS7.1 (at /tmp/fooBar as home):

[0]:0 > disc s
Discovery took: 49010ms
[Resource[id=-3, uuid=b51074e2-1f2f-4a52-b173-84967a8963ef, type={JBossAS7}JBossAS7 Standalone Server, key=/im/dev-container/jbossas/standalone, name=EAP (127.0.0.1:6990) RHQ Server, parent=snert, version=EAP 6.1.0.Alpha1], Resource[id=-4, uuid=68f125c7-ccbd-4cb7-a946-3b2c597e5fb9, type={JBossAS7}JBossAS7 Standalone Server, key=/tmp/fooBar/standalone, name=AS (127.0.0.1:9990), parent=snert]]

AS7.1 with the default home dir name

[0]:0 > disc s
Discovery took: 3042ms
[Resource[id=-3, uuid=ef41d963-cd94-4bae-ada0-66869dbdbd17, type={JBossAS7}JBossAS7 Standalone Server, key=/devel/jboss-as-7.1.1.Final/standalone, name=AS (127.0.0.1:9990), parent=snert, version=7.1.1.Final]

Wildfly 8 ALpha with default home dir name

[Resource[id=-3, uuid=bf871539-0746-4030-91c5-a6578bcf6008, type={JBossAS7}JBossAS7 Standalone Server, key=/devel/wildfly/build/target/wildfly-8.0.0.Alpha1-SNAPSHOT/standalone, name=WildFly (127.0.0.1:9990), parent=snert, version=WildFly 8.0.0.Alpha1-SNAPSHOT],

master 3bba88c36f7d4


Below are discovery results for different scenarios obtained in the standalone-PC.

Wildfly with a home dir of "/tmp/Frobnitz"

[Resource[id=-3, uuid=fbb21b22-13bf-487c-90ce-db8cd7d01835, type={JBossAS7}JBossAS7 Standalone Server, key=/tmp/Frobnitz/standalone, name=WildFly (127.0.0.1:9990), parent=snert, version=WildFly 8.0.0.Alpha1-SNAPSHOT]


Wildfly with a home of /tmp/Frobnitz and domain mode

[Resource[id=-5, uuid=5bfde568-a37c-4bab-86df-77d53a0e291b, type={JBossAS7}JBossAS7 Host Controller, key=/tmp/Frobnitz/domain, name=WildFly Domain Controller (127.0.0.1:9990), parent=snert, version=WildFly ]]

AS 7.1 with a home of /tmp/fooBar and domain mode

Resource[id=-3, uuid=cd8c324a-11b1-4bb1-9813-f8f0c2955c54, type={JBossAS7}JBossAS7 Host Controller, key=/tmp/fooBar/domain, name=AS Domain Controller (127.0.0.1:9990), parent=snert]
Comment 2 Stian Lund 2013-05-13 11:35:47 EDT
Can confirm that JBoss AS7 servers are now again able to be discovered using the snapshot build for 4.8. Will test more the next days.
Comment 3 Heiko W. Rupp 2013-09-11 05:53:32 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.